> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Export Job

> Create an async export job.

Returns 202 Accepted with the job object. The job transitions from
'queued' → 'running' → 'succeeded' | 'failed'.



## OpenAPI

````yaml /openapi.json post /v1/exports
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/exports:
    post:
      tags:
        - exports
      summary: Create Export Job
      description: |-
        Create an async export job.

        Returns 202 Accepted with the job object. The job transitions from
        'queued' → 'running' → 'succeeded' | 'failed'.
      operationId: create_export_job_v1_exports_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExportRequest'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Create Export Job V1 Exports Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    CreateExportRequest:
      properties:
        filters:
          anyOf:
            - {}
            - type: 'null'
          title: Filters
        format:
          default: csv
          title: Format
          type: string
        options:
          anyOf:
            - {}
            - type: 'null'
          title: Options
        report_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Report Id
        resource:
          $ref: '#/components/schemas/ExportResource'
      required:
        - resource
      title: CreateExportRequest
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ExportResource:
      enum:
        - issues
        - patterns
        - predictions
        - recommendations
        - audit_log
        - members
        - connectors
        - clusters
      title: ExportResource
      type: string
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````